[arch-commits] Commit in python-doublex/repos/community-any (PKGBUILD PKGBUILD)

Felix Yan felixonmars at archlinux.org
Sun Jan 31 12:05:26 UTC 2021


    Date: Sunday, January 31, 2021 @ 12:05:26
  Author: felixonmars
Revision: 838073

archrelease: copy trunk to community-any

Added:
  python-doublex/repos/community-any/PKGBUILD
    (from rev 838072, python-doublex/trunk/PKGBUILD)
Deleted:
  python-doublex/repos/community-any/PKGBUILD

----------+
 PKGBUILD |   72 +++++++++++++++++++++++++++++++------------------------------
 1 file changed, 37 insertions(+), 35 deletions(-)

Deleted: PKGBUILD
===================================================================
--- PKGBUILD	2021-01-31 12:05:12 UTC (rev 838072)
+++ PKGBUILD	2021-01-31 12:05:26 UTC (rev 838073)
@@ -1,35 +0,0 @@
-# Maintainer: Felix Yan <felixonmars at archlinux.org>
-
-pkgname=python-doublex
-pkgver=1.9.2
-pkgrel=5
-pkgdesc="Powerful test doubles framework for Python"
-arch=('any')
-license=('GPL')
-url="https://github.com/davidvilla/python-doublex"
-depends=('python-pyhamcrest')
-makedepends=('python-setuptools')
-checkdepends=('python-nose')
-source=("$pkgname-$pkgver.tar.bz2::https://bitbucket.org/DavidVilla/python-doublex/get/v$pkgver.tar.bz2")
-sha512sums=('0cbcedeb46bd0dce807360bab5f8ac8d0a3e0eb8b5bdd7381499a1da236fbbfd21f0a53ece6eb24c387c9d96c9735ee56693ce95d445ef4f59873140388bc6a7')
-
-prepare() {
-  mv DavidVilla-python-doublex-* python-doublex-$pkgver
-}
-
-build() {
-  cd python-doublex-$pkgver
-  python setup.py build
-}
-
-check() {
-  cd python-doublex-$pkgver
-  # https://bitbucket.org/DavidVilla/python-doublex/issues/6/more-failing-tests-with-python-39
-  python setup.py test || :
-}
-
-package() {
-  cd python-doublex-$pkgver
-  python setup.py install --root="$pkgdir" --optimize=1
-  rm "$pkgdir"/usr/README.rst
-}

Copied: python-doublex/repos/community-any/PKGBUILD (from rev 838072, python-doublex/trunk/PKGBUILD)
===================================================================
--- PKGBUILD	                        (rev 0)
+++ PKGBUILD	2021-01-31 12:05:26 UTC (rev 838073)
@@ -0,0 +1,37 @@
+# Maintainer: Felix Yan <felixonmars at archlinux.org>
+
+pkgname=python-doublex
+pkgver=1.9.3
+# Upstream forgot to push tags and ignored my notice
+_commit=fe03fcb4672d
+pkgrel=1
+pkgdesc="Powerful test doubles framework for Python"
+arch=('any')
+license=('GPL')
+url="https://github.com/davidvilla/python-doublex"
+depends=('python-pyhamcrest')
+makedepends=('python-setuptools')
+checkdepends=('python-nose')
+source=("$pkgname-$pkgver.tar.bz2::https://bitbucket.org/DavidVilla/python-doublex/get/$_commit.tar.bz2")
+sha512sums=('e3ca091c4794f1054779364bf9d13b188c0cecb2b7afbe87c7fa05c79182c4d7fcca171e9bfc52d7603f1a7280e0a62b04bcd834d4cf7bc7b32b701e8224b764')
+
+prepare() {
+  mv DavidVilla-python-doublex-* python-doublex-$pkgver
+}
+
+build() {
+  cd python-doublex-$pkgver
+  python setup.py build
+}
+
+check() {
+  cd python-doublex-$pkgver
+  # https://bitbucket.org/DavidVilla/python-doublex/issues/6/more-failing-tests-with-python-39
+  python setup.py test || :
+}
+
+package() {
+  cd python-doublex-$pkgver
+  python setup.py install --root="$pkgdir" --optimize=1
+  rm "$pkgdir"/usr/README.rst
+}



More information about the arch-commits mailing list